Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::GpuProgramParameters::AutoConstantEntry Class Reference

Structure recording the use of an automatic parameter. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Methods

| AutoConstantEntry (AutoConstantType theType, size_t theIndex, size_t theData)

## Public Attributes

AutoConstantType | paramType
| The type of parameter.
size_t | index
| The target constant index.
size_t | data
| Additional information to go with the parameter.

## Detailed Description

Structure recording the use of an automatic parameter.

Definition at line 116 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | size_t | theData
| ) |

| Definition at line 126 of file OgreGpuProgram.h.

## Member Data Documentation

size_t Ogre::GpuProgramParameters::AutoConstantEntry::data

| Additional information to go with the parameter. Definition at line 124 of file OgreGpuProgram.h. Referenced by Ogre::TerrainRenderable::_updateCustomGpuParameter(), Ogre::Renderable::_updateCustomGpuParameter(), Ogre::GpuProgramParameters::copyConstantsFrom(), and Ogre::TerrainSceneManager::setupTerrainMaterial().

size_t Ogre::GpuProgramParameters::AutoConstantEntry::index

| The target constant index. Definition at line 122 of file OgreGpuProgram.h. Referenced by Ogre::TerrainRenderable::_updateCustomGpuParameter(), Ogre::Renderable::_updateCustomGpuParameter(), and Ogre::GpuProgramParameters::copyConstantsFrom().

AutoConstantType Ogre::GpuProgramParameters::AutoConstantEntry::paramType

| The type of parameter. Definition at line 120 of file OgreGpuProgram.h. Referenced by Ogre::GpuProgramParameters::copyConstantsFrom(), and Ogre::TerrainSceneManager::setupTerrainMaterial().

The documentation for this class was generated from the following file:

- OgreGpuProgram.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:59 2004